# PostSummonFormChangeAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostSummonFormChangeAbAttr

Base class for defining all `Ability` Attributes post summon

#### See

`()`

#### Hierarchy (view full)

- PostSummonAbAttr
  - PostSummonFormChangeAbAttr

- Defined in src/data/ability.ts:2048

#####
Index

### Constructors

constructor

### Properties

formFunc
showAbility

### Methods

addCondition
apply
applyPostSummon
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostSummonFormChangeAbAttr(formFunc): PostSummonFormChangeAbAttr

- #### Parameters

  - formFunc: ((p) => number)
    - - (p): number

      - #### Parameters

        - p: default

        #### Returns number

  #### Returns PostSummonFormChangeAbAttr

  Overrides PostSummonAbAttr.constructor

  - Defined in src/data/ability.ts:2051

## Properties

### `Private` formFunc

formFunc: ((p) => number)

#### Type declaration

- - (p): number

  - #### Parameters

    - p: default

    #### Returns number

- Defined in src/data/ability.ts:2049

### showAbility

showAbility: boolean

Inherited from PostSummonAbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostSummonAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostSummonAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPostSummon

- applyPostSummon(pokemon, passive, args): boolean

- Applies ability post summon (after switching in)

  #### Parameters

  - pokemon: default

    `Pokemon` with this ability

  - passive: boolean

    Whether this ability is a passive

  - args: any[]

    Set of unique arguments needed by this attribute

  #### Returns boolean

  true if application of the ability succeeds

  Overrides PostSummonAbAttr.applyPostSummon

  - Defined in src/data/ability.ts:2057

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostSummonAbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostSummonAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139